<ng-container *ngIf="skillName">
  <img
    [appTooltip]="skillName"
    [src]="'/assets/images/skills/' + skillName + '.png'"
    [alt]="'skill ' + skillName"
    class="w-9 h-9 m-auto cursor-pointer border border-black"
  />
</ng-container>

<ng-template #weaponTemplate let-skill="skill">
  <ng-template
    *ngTemplateOutlet="row; context: { name: 'Damage', value: skill.damage }"
  ></ng-template>
  <ng-template
    *ngTemplateOutlet="row; context: { name: 'Range', value: skill.range }"
  ></ng-template>
  <ng-template
    *ngTemplateOutlet="
      row;
      context: { name: 'Critical', value: 'x' + skill.critical }
    "
  ></ng-template>
  <ng-container *ngIf="skill.bursts">
    <ng-template
      *ngTemplateOutlet="row; context: { name: 'Bursts', value: skill.bursts }"
    ></ng-template
  ></ng-container>

  <ng-template
    *ngTemplateOutlet="row; context: { name: 'Aim', value: skill.aim + '%' }"
  ></ng-template>

  <ng-template
    *ngTemplateOutlet="
      row;
      context: { name: 'Recovery', value: skill.recovery }
    "
  ></ng-template>
  <ng-container *ngIf="skill.skills">
    <ng-template
      *ngTemplateOutlet="row; context: { name: 'Skills', value: skill.skills }"
    ></ng-template
  ></ng-container>
</ng-template>
<ng-template #perkTemplate let-skill="skill">
  <div class="text-dirtTitle text-sm mb-1 font-normal">
    {{ skill.description }}
  </div>
  <div class="text-sm text-blue flex font-normal">
    <svg
      class="w-7 mr-1"
      aria-hidden="true"
      xmlns="http://www.w3.org/2000/svg"
      width="24"
      height="24"
      fill="currentColor"
      viewBox="0 0 24 24"
    >
      <path
        fill-rule="evenodd"
        d="M3 6a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v9a2 2 0 0 1-2 2h-6.616l-2.88 2.592C8.537 20.461 7 19.776 7 18.477V17H5a2 2 0 0 1-2-2V6Zm4 2a1 1 0 0 0 0 2h5a1 1 0 1 0 0-2H7Zm8 0a1 1 0 1 0 0 2h2a1 1 0 1 0 0-2h-2Zm-8 3a1 1 0 1 0 0 2h2a1 1 0 1 0 0-2H7Zm5 0a1 1 0 1 0 0 2h5a1 1 0 1 0 0-2h-5Z"
        clip-rule="evenodd"
      />
    </svg>
    "{{ skill.quote }}"
  </div>
</ng-template>

<ng-template #row let-name="name" let-value="value">
  <div class="flex text-dirtTitle text-sm mt-px">
    <div class="font-bold">{{ name }} :&nbsp;</div>
    <div class="font-normal">{{ value }}</div>
  </div>
</ng-template>
